VERSION 5.00
Begin VB.Form frmDisplay 
   BorderStyle     =   0  'None
   Caption         =   "OpenGL Fireworks"
   ClientHeight    =   6000
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   6000
   Icon            =   "frmDisplay.frx":0000
   LinkTopic       =   "frmDisplay"
   ScaleHeight     =   400
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   400
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   WhatsThisHelp   =   -1  'True
   WindowState     =   2  'Maximized
End
Attribute VB_Name = "frmDisplay"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
    bShiftKey = (Shift And vbShiftMask) > 0
    bControlKey = (Shift And vbCtrlMask) > 0
    bAltKey = (Shift And vbAltMask) > 0
    
    Select Case KeyCode
        Case vbKeyUp
            bArrowUpKey = True
        Case vbKeyDown
            bArrowDownKey = True
        Case vbKeyLeft
            bArrowLeftKey = True
        Case vbKeyRight
            bArrowRightKey = True
        Case vbKeyP
            bPKey = True
        Case vbKeySpace
            bSpaceKey = True
        Case vbKeyX
            bSpaceKey = True
            
    End Select
End Sub
Private Sub Form_KeyUp(KeyCode As Integer, Shift As Integer)
    bShiftKey = (Shift And vbShiftMask) > 0
    bControlKey = (Shift And vbCtrlMask) > 0
    bAltKey = (Shift And vbAltMask) > 0
    
    Select Case KeyCode
        Case vbKeyUp
            bArrowUpKey = False
        Case vbKeyDown
            bArrowDownKey = False
        Case vbKeyLeft
            bArrowLeftKey = False
        Case vbKeyRight
            bArrowRightKey = False
        Case vbKeyP
            bPKey = False
        Case vbKeySpace
            bSpaceKey = False
    End Select
    
End Sub

Private Sub Form_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
Dim pi As Single
pi = 22 / 7

theta = theta - (lastmousex - X)
tx = 300 * Sin(theta * pi / 180)
ty = 300 * Cos(theta * pi / 180)

tz = tz + (lastmousey - Y)
lastmousex = X
lastmousey = Y
End Sub

Private Sub Form_Resize()
    glViewport 0, 0, frmDisplay.ScaleWidth, frmDisplay.ScaleHeight
End Sub
Private Sub Form_Unload(Cancel As Integer)
    bAppRunning = False
End Sub
Private Sub mnuHelpAbout_Click()
    frmAbout.Show 1, frmDisplay
End Sub
Private Sub mnuHelpControls_Click()
    frmControls.Show 1, frmDisplay
End Sub
Private Sub mnuHelpRenderer_Click()
    frmRenderer.Show 1, frmDisplay
End Sub
Private Sub mnuQuit_Click()
    bAppRunning = False
End Sub
