Attribute VB_Name = "modGlobals"
' modGlobals: various global variables and defintions.

Option Explicit

' General program status flags

Public bAppRunning As Boolean

' Key/mouse flags

Public bShiftKey As Boolean
Public bControlKey As Boolean
Public bAltKey As Boolean

Public bArrowDownKey As Boolean
Public bArrowUpKey As Boolean
Public bArrowLeftKey As Boolean
Public bArrowRightKey As Boolean
Public bPKey As Boolean
Public bSpaceKey As Boolean

Public bLeftMouseButton As Boolean
Public bRightMouseButton As Boolean
Public bMiddleMouseButton As Boolean
Public iMouseLocationX As Integer
Public iMouseLocationY As Integer

Public dBallLocation() As Double, dBallVelocity() As Double
Public dBallRadius As Double, dBallColor() As Double
Public quadSphere As GLUquadric

Public dRoomBoundaries() As Double, dRoomXWallColor() As Double
Public dRoomYWallColor() As Double, dRoomZWallColor() As Double
Public crosshairs As Boolean

'Richard Modification :02
Type particle
    active      As Boolean
    type        As Integer
    X           As Single
    Y           As Single
    z           As Single
    xr          As Integer
    yr          As Integer
    zr          As Integer
    xrv         As Integer
    yrv         As Integer
    zrv         As Integer
    xv          As Single
    yv          As Single
    zv          As Single
    col1        As Single
    col2        As Single
    col3        As Single
    col4        As Single
    life        As Integer
    lastx(10)   As Single
    lasty(10)   As Single
    lastz(10)   As Single
    lasta(10)   As Single
    lastxr(10)  As Single
    lastyr(10)  As Single
    lastzr(10)  As Single
    ballradius  As Integer
End Type

Type citygrid
    active      As Boolean
    height      As Single
    texture     As String
End Type
    

Public p(5000) As particle
Public city(10, 10) As citygrid
Public theta As Single, tx As Single, ty As Single, tz As Single
Public lastmousex, lastmousey As Single
Public shoot_clear As Boolean


Public plimit
'End Modification :02

Public dSceneRotation() As Double

Public Sub initGlobals()
Dim a As Integer, b As Integer

crosshairs = False
tx = 0: ty = 0: tz = 600
For a = 0 To 10
For b = 0 To 10
    city(a, b).height = Int(Rnd * (100))
    city(a, b).height = 25
    city(a, b).active = True
Next b
Next a

plimit = 1500
For a = 0 To plimit
    p(a).active = False
    p(a).type = 1
    p(a).X = 0
    p(a).Y = 0
    p(a).z = 0
    p(a).xv = Rnd * (2) - 1
    p(a).yv = Rnd * (2) - 1
    p(a).zv = Rnd * (2) - 1
    p(a).col1 = Rnd * (1)
    p(a).col2 = Rnd * (1)
    p(a).col3 = Rnd * (1)
    p(a).col4 = 0.5
Next a

    dFillArray dBallLocation(), 0, 0, 0
    dFillArray dBallVelocity(), 1, 0.5, 0.25
    dFillArray dBallColor(), 1, 1, 1, 1
    dFillArray dRoomBoundaries(), 20, 20, 20
    dFillArray dRoomXWallColor(), 1, 0, 0, 0.5
    dFillArray dRoomYWallColor(), 0, 0, 1, 0.5
    dFillArray dRoomZWallColor(), 0, 1, 0, 0.5
    dFillArray dSceneRotation(), 0, 0, 0
    
    dBallRadius = 1
    
    quadSphere = gluNewQuadric()
    gluQuadricOrientation quadSphere, qoOutside
    gluQuadricDrawStyle quadSphere, qdsFill
    gluQuadricNormals quadSphere, qnSmooth
End Sub
Public Sub dFillArray(ByRef dArray() As Double, ParamArray ArgList() As Variant)
    Dim iCounter As Integer
    ReDim Preserve dArray(UBound(ArgList)) As Double
    
    For iCounter = 0 To UBound(dArray) Step 1
        dArray(iCounter) = CDbl(ArgList(iCounter))
    Next
End Sub
